Package org.jcsp.net

# Interface NodeFactory

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `TCPIPNodeFactory`, `XMLNodeFactory`

public interface NodeFactory extends Serializable
Node initialisation factory interface. A specific initialisation can be written by implementing this interface and passing an instance to the `factoryInit` method of `Node`.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`NodeKey`
`initNode(Node node, Node.Attributes attribs)`

## Method Details

### initNode

NodeKey initNode(Node node, Node.Attributes attribs) throws NodeInitFailedException

Throws:
  `NodeInitFailedException`